using System.Numerics;

namespace SlatedGameToolkit.Framework.Graphics.Render
{
    public class Camera2D : Camera {
        public new Vector2 Position {
            get {
                return new Vector2(base.Position.X, base.Position.Y);
            }

            set {
                base.Position = new Vector3(value, base.Position.Z);
                base.CameraFront = -Vector3.UnitZ;
            }
        }

        public Camera2D(int width, int height) : base(width, height) {
            this.Orthographic = true;
        }
    }
}